# AI_VMSuspend Class Reference

A throw-class that is given when the VM wants to suspend. More...

`#include <ai_instance.hpp>`

## Public Member Functions

| AI_VMSuspend (int time, AISuspendCallbackProc *callback)
int | GetSuspendTime ()
AISuspendCallbackProc * | GetSuspendCallback ()

## Private Attributes

int | time
AISuspendCallbackProc * | callback

## Detailed Description

A throw-class that is given when the VM wants to suspend.

Definition at line 25 of file ai_instance.hpp.

The documentation for this class was generated from the following file:

- src/ai/ai_instance.hpp